Package org.apache.felix.http.base.internal.runtime.dto

## Class RequestInfoDTOBuilder

- java.lang.Object
- - org.apache.felix.http.base.internal.runtime.dto.RequestInfoDTOBuilder

    public final class RequestInfoDTOBuilder
    extends Object

### Constructor Summary

Constructors
`RequestInfoDTOBuilder​(HandlerRegistry registry, String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.http.runtime.dto.RequestInfoDTO` `build()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestInfoDTOBuilder

    public RequestInfoDTOBuilder​(HandlerRegistry registry,
                                 String path)

### Method Detail

#### build

    public org.osgi.service.http.runtime.dto.RequestInfoDTO build()